

visibility = {};

function visibility.prerequisitesPresent(specializations)
  return true;
end;

function visibility:load(xmlFile)

    numparts = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.parts#count"), 0);
	self.parts = {};
    for i=1, numparts do
        local partnamei = string.format("vehicle.parts.part%d", i);
        self.parts[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, partnamei .. "#index"));
        setVisibility(self.parts[i], false);
    end;
	self.partsActive = false;
end;

function visibility:keyEvent(unicode, sym, modifier, isDown)

	if isDown and sym == Input.KEY_KP_7 then 
	  self.partsActive = not self.partsActive;
	end;
end;


function visibility:update(dt)

  if self.partsActive then
		for i=1, numparts do
			setVisibility(self.parts[i], self.partsActive);
		end;
	        else
		for i=1, numparts do
			setVisibility(self.parts[i], self.partsActive, false);
	    end;
	end;
  
end;

function visibility:draw()
end;

function visibility:onEnter()

end;

function visibility:onLeave()
end;

function visibility:delete()
end;

function visibility:mouseEvent(posX, posY, isDown, isUp, button)
end;